Fórum Ubuntu Linux - PT
01 de Novembro de 2014, 01:55 *
Olá, Visitante. Faça o login ou registre-se.
Perdeu o seu e-mail de ativação?

Login com nome de usuário, senha e duração da sessão
Notícias: Informações da última versão: Ubuntu Linux 14.04 - Trusty Tahr
 
   Home   Ajuda Regras Pesquisa Login Registre-se  
Anúncios
Páginas: [1] 2   Ir para o fundo
  Imprimir  
Autor Tópico: Sun Java - Homebanking - Solução Definitiva  (Lida 5875 vezes)
mkleber
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 155


Ver Perfil
« em: 08 de Janeiro de 2012, 23:12 »

O que ocorre é o seguinte, a maior parte dos internetbankings utiliza o SunJava.  Com o problema dos repositórios, o JAva da Sun foi substituído pelo genérico "OpenJava", desse modo os bancos não funcionam com ele.

Há um dos desenvolvedores / mantedores do Linux, que manteve o SunJAva em seus repositórios, permitindo assim ativar o módulo de segurança do Santander / Banespa / Real e utilizar o Banco do Brasil sem problemas.

A fonte de onde foi retirada: http://www.duinsoft.nl/packages.php?t=en

O método mais fácil é adicionar um PPA, conforme segue

1. abra o repositório com um editor de texto como superuser: sudo gedit /etc/apt/sources.list
adicione a seguinte linha ao final:
deb http://www.duinsoft.nl/pkg debs all


2. no terminal - Importe a chave de verificação
sudo apt-key adv --keyserver keys.gnupg.net --recv-keys 5CB26B26

3. no terminal - atualize o repositório
sudo apt-get update

4. no terminal - baixe e instale o pacote
sudo apt-get install update-sun-jre

pronto !
reinicie o navegador... e estará lá o java 100% funcional
Registrado
Josue Carrecon
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 113


Ver Perfil
« Responder #1 em: 09 de Janeiro de 2012, 21:36 »

Rapaiz "seu minino", que coisa boa, toh com esse problema ha alguns dias, dica muito boa.
Registrado
Josue Carrecon
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 113


Ver Perfil
« Responder #2 em: 09 de Janeiro de 2012, 22:06 »

soh que tah removendo o sun-java6-jdk, e eu preciso do bichin, como fazer??
Registrado
vampire_thunder
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 736


Ver Perfil
« Responder #3 em: 09 de Janeiro de 2012, 22:52 »

O grande problema é que a Oracle "proibiu" qualquer ppa de disponibilizar o Java. Para tê-lo, só baixando pelo site oficial.
Registrado
alevian
Usuário Ubuntu
*
Logado Logado

Mensagens: 218


Ver Perfil WWW
« Responder #4 em: 18 de Janeiro de 2012, 00:41 »

Ufa!
Realmente, a solução foi a única que funcionou...
Eu vinha rodando há umas boas dezenas de minutos, neste e em outros espaços virtuais, em vão...

Grato!
Registrado
mkleber
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 155


Ver Perfil
« Responder #5 em: 24 de Janeiro de 2012, 10:23 »

O grande problema é que a Oracle "proibiu" qualquer ppa de disponibilizar o Java. Para tê-lo, só baixando pelo site oficial.

Quase todas as distros AINDA estavam usando os repositórios oficiais, menos a canonical, que AGORA também voltou atrás em sua decisão e continuará a usar normalmente... Então até segunda ordem dá para usar direto do repositório oficial
Registrado
Alechio
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 1


Ver Perfil
« Responder #6 em: 26 de Janeiro de 2012, 17:35 »

Instalei o Ubuntu 10.10 com Firefox 9 e não conseguia instalar o módulo de proteção. O problema está no java. Instalei o último java com download do site da Sun, arquivo .bin, coloquei o java no $PATH padrão como explicado no http://wiki.ubuntu-br.org/Java e tudo funcionou perfeitamente.
Posso agora desinstalar o sun-java6-jre via Synaptic?
Obrigado.
Registrado
pigdin
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 725

Terra - Brasill - SP-Capital


Ver Perfil
« Responder #7 em: 31 de Janeiro de 2012, 21:17 »

Instalei pelo repositório e não funcionou.
$ java -version
java version "1.6.0_26"
Java(TM) SE Runtime Environment (build 1.6.0_26-b03)
Java HotSpot(TM) 64-Bit Server VM (build 20.1-b02, mixed mode)

Firefox 9.0.1
Ubuntu 10.04 64bits
kernel 2.6.32-38-generic

Editado

Instalei o icedtea e funcionou
« Última modificação: 01 de Fevereiro de 2012, 15:22 por pigdin » Registrado

Desk: Phenom X3 2GB DDR II - Win 7 / Ubuntu 10.04 64 Bits
Note MUB: Core2Duo 4GB - Win7 / Ubuntu 10.04 / Bodhi Linux.
@alexpigdin
ananni
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 21


Ver Perfil
« Responder #8 em: 03 de Março de 2012, 13:21 »

A primeira instrução funcionou beleza para a versão 10.0.2 do firefox no Natty.
Registrado
xMtAx
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 4


Ver Perfil
« Responder #9 em: 05 de Março de 2012, 00:17 »

Funcionou que é uma beleza! Obrigado mesmo  Sem Graça
Registrado
sigur
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 926


Ver Perfil
« Responder #10 em: 05 de Março de 2012, 09:48 »

qual a diferença entre jdk e jre?

para navegar precisamos de qual? e para usar programas que rodam em java, como o geogebra, por exemplo?
Registrado
aniquilator
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 457



Ver Perfil
« Responder #11 em: 05 de Março de 2012, 10:40 »

qual a diferença entre jdk e jre?

para navegar precisamos de qual? e para usar programas que rodam em java, como o geogebra, por exemplo?

JDK só serve para  desenvolver aplicativos em Java.
Registrado

Folkem
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 1


Ver Perfil
« Responder #12 em: 19 de Setembro de 2012, 10:32 »

Bom dia
Sou usuário novo do linux e estou usando o ubuntu 12.04, estou tentando deixar toas as funcionalidades em bom estado porém algumas coisas não funcionam. No caso do Santander estou com problemas no java, tentei as dicas acima só que sempre aparece um erro no final. Já pesquisei em outros sites e sempre chego neste problema. No caso do Banco do Brasil ficou legal.

Grato pela ajuda

Download done.
sha256sum mismatch jdk-7u3-linux-x64.tar.gz
Oracle JDK 7 is NOT installed.
dpkg: erro enquanto efetuava a limpeza:
 sub-processo script post-installation instalado retornou estado de saída de erro 1
Removendo oracle-java8-installer ...
Processando gatilhos para desktop-file-utils ...
Processando gatilhos para bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processando gatilhos para gnome-menus ...
Processando gatilhos para shared-mime-info ...
Erros foram encontrados durante o processamento de:
 oracle-java7-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)
branco@emerson-System:~$
Registrado
Tota
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 14.138



Ver Perfil
« Responder #13 em: 19 de Setembro de 2012, 19:48 »

OLa


sha256sum mismatch jdk-7u3-linux-x64.tar.gz

Como a mensagem claramente informa, o checksum do arquivo não confere, logo, voce baixou um arquivo que foi recebido corrompido.

Remova este de sua maquina e baixe novamente.

[]'s
Registrado
Joseph
Usuário Ubuntu
*
Deslogado Deslogado

Mensagens: 794



Ver Perfil
« Responder #14 em: 20 de Setembro de 2012, 08:04 »

Esses ppa's são meio problemáticos, sabe-se lá as vulnurabilidades que os pacotes tem, principalmente quando se trata de pacotes que acessam senhas, eu utilizo o icedetea sem problema algum nos bancos que acesso, até agora não encontrei problemas, mesmo assim ainda fico com uma pulga atrás da orelha.
Registrado
Páginas: [1] 2   Ir para o topo
  Imprimir  
 
Ir para:  

Powered by MySQL Powered by PHP Tema desenvolvido por FaBMak e n3t0
Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines
© 2014 Canonical Ltd. Ubuntu e Canonical são marcas registradas da Canonical Ltd.
XHTML 1.0 válido! CSS válido!